#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int main() {
	int T, N, M, K, i, j, k, x, s=0;
	scanf("%d", &T);
	for(i=0;i<T;i++){
		s = 0;
		scanf("%d %d %d", &N, &M, &K);
		if(N < M){
			int a[K];
			for(j=0;j<K-1;j++){
				a[j] = N / (K-j);
				N -= a[j];
			}
			a[j] = N;
			for(j=0;j<K;j++){
				for(k=1;k<=a[j];k++){
					s += k;
				}
			}
			if(s <= M)
				printf("Tak\n");
			else
				printf("Nie\n");
		}
		else
			printf("Nie");
	}
	return 0;
}